figure8 <- function () {

   data <- datab4
   
   xplot <- xyplot(CRCL~TIME/24,datab4,
                   groups = ID,
                   xlab = "Time (days)",
                   aspect=1,
                   ylab = "Creatinine clearance (ml/min)",
                   panel = function(x,y,...) {
                        panel.superpose(x,y,type="s",lty=3,col="black",...)
                        panel.xyplot(x,y,col=1)
                        panel.loess(x,y,lty=1,lwd=3)
                   }
                   )
   print(xplot)
   invisible()
}
