figure19 <- function() {

  library(lattice)
  gr   <- trellis.par.get("bar.fill")
  gr$col <- "transparent"
  trellis.par.set("bar.fill",gr)
  
  data <- read.table("simcat1.dta",h=T)
  data$DV <- as.factor(data$DV)

  histogram(~DV,data,
            aspect=1,
            ylab="Percent of total",
            xlab="Observation category")

}
