figure5 <- function() {
  
  xyplot(ID~CRCL,datab4,
         cex=0.5,
         aspect=3,
         xlab="Creatinine clearance (mL/min)",
         ylim=c(-2,75),
         scales=list(y=list(at=c(1,10,20,30,40,50,60,70))),
         panel=function(x,y,...) {
           panel.abline(h=c(1,10,20,30,40,50,60,70),lty=3)
           panel.xyplot(jitter(x),jitter(y),col="black",...)
         }
         )
}
