stack.xpose <- function (x, select,rep, ...)  {

  xx <- x
  nl <- as.list(1:ncol(x))
  names(nl) <- names(x)
  vars <- eval(substitute(select), nl, parent.frame())
  x <- x[, vars, drop = FALSE]

  names(x) <- vars

  x <- x[, unlist(lapply(x, is.vector)), drop = FALSE]

  tmp <- data.frame(values = unlist(unname(x)),
                    ind = factor(rep.int(names(x),lapply(x, length)),
                      levels=names(x))
                    )

  if(!missing(rep)) {
    for(yy in rep) {
      tmp[,yy] <- rep(xx[,yy],length(select))
    }
  }

  tmp
}
